Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.event
Interface IEventGenerator

All Known Subinterfaces:
  ISuspendableEventGenerator

All Known Implementing Classes:
  AbstractBEAPullEventGenerator, AbstractBEAPushEventGenerator, AbstractEventGenerator, AbstractPullEventGenerator, AbstractPushEventGenerator

    public interface IEventGenerator

Interface that defines an object that can generate events from an EIS. This interface is used by instances of IEventRouter. Event generators should ask their parent IEventRouter for a list of event types that should be generated, and only generate events for the requested types.

Method Summary
`void` | `init(IEventRouter router, Map props)` Initialize this event generator given its parent IEventRouter, and a Map of properties.
`void` | `refresh()` Refresh the list of requested event types by talking to the parent IEventRouter.
`void` | `start()` Start generating events as they are detected in the EIS.
`void` | `stop()` Stop generating events from the EIS.

Method Detail

### init

    void init(IEventRouter router,
              Map props)
              throws Exception

  Initialize this event generator given its parent IEventRouter, and a Map of properties. These properties may be specific to the needs of the given event generator, and are provided by startup information given to the servlet engine being used to host the event router.

  Throws:
    `Exception`

### start

    void start()
               throws Exception

  Start generating events as they are detected in the EIS.

  Throws:
    `Exception` - If any error occurs while starting up.

### refresh

    void refresh()
                 throws Exception

  Refresh the list of requested event types by talking to the parent IEventRouter. From this call onward, the event generator should only generate events that have been requested in the new list.

  Throws:
    `Exception` - If any error occurs while starting up.

### stop

    void stop()
              throws Exception

  Stop generating events from the EIS.

  Throws:
    `Exception` - If any error occurs while stopping.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD